- NAME
- SYNOPSIS
- METHODS
  - SourceDescription
  - ExternalValues

# NAME

RT::CustomFieldValues::Groups - Provide RT's groups as a dynamic list of CF values

# SYNOPSIS

To use as a source of CF values, add the following to your RT_SiteConfig.pm and restart RT.

        # In RT_SiteConfig.pm
        Set( @CustomFieldValuesSources, "RT::CustomFieldValues::Groups" );

Then visit the modify CF page in the RT admin configuration.

# METHODS

Most methods are inherited from RT::CustomFieldValues::External, except the ones below.

## SourceDescription

Returns a brief string describing this data source.

## ExternalValues

Returns an arrayref containing a hashref for each possible value in this data source, where the value name is the group name.

← Back to index